Retrieve a payment intent
curl --request GET \
--url https://api.orqex.com/v1/payment/intents/{paymentIntentId} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "TRX1A2B3C4D",
"amount": {
"value": 5000,
"formatted": "50.00 XOF",
"short": "50 XOF",
"currency": "XOF"
},
"customer": {
"id": "cus_abc123",
"first_name": "<string>",
"last_name": "<string>",
"email": "[email protected]",
"avatar_url": "<string>"
},
"description": "<string>",
"return_url": "<string>",
"webhook_url": "<string>",
"statement_descriptor": "<string>",
"receipt_email": "<string>",
"metadata": {},
"active_attempt": {
"id": "<string>",
"method": {
"value": "momo_mtn",
"label": "MTN Mobile Money",
"description": "<string>",
"icon_url": "<string>"
},
"amount": {
"value": 5000,
"formatted": "50.00 XOF",
"short": "50 XOF",
"currency": "XOF"
},
"exchange_rate": 123,
"correction_rate": 123,
"gateway": {
"transaction": {
"id": "<string>",
"reference": "<string>",
"external_id": "<string>",
"status": "<string>"
}
},
"next_action": {},
"failure": {
"code": "<string>",
"message": "<string>"
},
"is_fallback": true,
"completed_at": "<string>",
"failed_at": "<string>",
"created_at": "<string>"
},
"completed_at": "<string>",
"expires_at": "<string>",
"created_at": "<string>"
}
}Payment Intents
Retrieve a payment intent
GET
/
payment
/
intents
/
{paymentIntentId}
Retrieve a payment intent
curl --request GET \
--url https://api.orqex.com/v1/payment/intents/{paymentIntentId} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "TRX1A2B3C4D",
"amount": {
"value": 5000,
"formatted": "50.00 XOF",
"short": "50 XOF",
"currency": "XOF"
},
"customer": {
"id": "cus_abc123",
"first_name": "<string>",
"last_name": "<string>",
"email": "[email protected]",
"avatar_url": "<string>"
},
"description": "<string>",
"return_url": "<string>",
"webhook_url": "<string>",
"statement_descriptor": "<string>",
"receipt_email": "<string>",
"metadata": {},
"active_attempt": {
"id": "<string>",
"method": {
"value": "momo_mtn",
"label": "MTN Mobile Money",
"description": "<string>",
"icon_url": "<string>"
},
"amount": {
"value": 5000,
"formatted": "50.00 XOF",
"short": "50 XOF",
"currency": "XOF"
},
"exchange_rate": 123,
"correction_rate": 123,
"gateway": {
"transaction": {
"id": "<string>",
"reference": "<string>",
"external_id": "<string>",
"status": "<string>"
}
},
"next_action": {},
"failure": {
"code": "<string>",
"message": "<string>"
},
"is_fallback": true,
"completed_at": "<string>",
"failed_at": "<string>",
"created_at": "<string>"
},
"completed_at": "<string>",
"expires_at": "<string>",
"created_at": "<string>"
}
}Was this page helpful?
⌘I